unit JKCaptionReader_Reg;

interface

uses
  Windows, Messages, SysUtils, Classes, DesignEditors, DesignIntf, TypInfo, Forms, JKCaptionReader;

type
  TJKCaptionReaderEditor = class(TDefaultEditor)
  public
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('JKSOFT Engineering', [TJKCaptionReader]);
  RegisterComponentEditor(TJKCaptionReader, TJKCaptionReaderEditor);
end;

procedure TJKCaptionReaderEditor.ExecuteVerb(Index: Integer);
begin
  case Index of
    0: TJKCaptionReader(Component).WriteCaptions;
    1: TJKCaptionReader(Component).ReadCaptions(TJKCaptionReader(Component).Language);
    else inherited ExecuteVerb(Index)
  end;
end;

function TJKCaptionReaderEditor.GetVerb(Index: Integer): string;
begin
  case Index of
    0: Result:='Write Captions...';
    1: Result:='Read Captions...'
    else Result:=inherited GetVerb(Index);
  end;
end;

function TJKCaptionReaderEditor.GetVerbCount: Integer;
begin
  Result:=2;
end;

{===============================================}

end.
